跳转到主要内容
计算管理/虚拟机相关接口
PUTVM Related Interfaces起始版本 4.10.18同步需要认证

更新虚拟机自定义操作系统规范

更新虚拟机自定义操作系统规范

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • uuidString必填

    资源的UUID,唯一标示该资源

请求体字段

  • nameString

    资源名称。

  • descriptionString

    资源的详细描述。

  • hostnameString

    主机名称。

  • rootPasswordString

    管理员密码。

  • generateSIDBoolean

    生成sid。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    操作是否成功。

  • inventoryVmCustomSpecificationInventory必填

    详情参考inventory

    • uuidString必填

      资源的UUID,唯一标示该资源

    • vmInstanceUuidString必填

      虚拟机UUID

    • nameString必填

      资源名称

    • descriptionString必填

      资源的详细描述

    • platformString必填

      虚拟机操作系统平台类型

    • hostnameString必填

      主机名称

    • generateSIDBoolean必填

      是否生成SID

    • domainNameString必填

      域名称或工作组名称

    • domainUsernameString必填

      域用户名

    • organizationString必填

      组织单位

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • domainModeVmCustomSpecificationDomainMode必填

      详情参考domainMode

      • WorkGroupVmCustomSpecificationDomainMode必填

        工作组

      • DomainVmCustomSpecificationDomainMode必填

  • errorErrorCode必填

    详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

PUT/zstack/v1/vm-custom-specifications/{uuid}/actions

/zstack/v1/vm-custom-specifications/{uuid}/actions

操作 ID

UpdateVmCustomSpecification

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/vm-custom-specifications/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","description":"<description>","hostname":"<hostname>","rootPassword":"<rootPassword>","generateSID":true,"domainMode":"<domainMode>","domainName":"<domainName>","domainUsername":"<domainUsername>","domainPassword":"<domainPassword>","organization":"<organization>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "uuid": "ff0a9e874342368bb28daaf2c9b3cc00", "vmInstanceUuid": "ff01ec80fd11327cba7519b66119d900", "name": "custom-specification-for-vm-1", "description": "Test", "platform": "Windows", "hostname": "vm-1", "rootPassword": "password", "generateSID": true, "domainMode": "Domain", "domainName": "zsv.test", "domainUsername": "test", "domainPassword": "password", "organization": "OU\u003dzsv,DC\u003dzsv,DC\u003dtest" } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史